GLXDESTROYWINDOW(3G)

NAME
glXDestroyWindow - destroy an on-screen rendering area

C SPECIFICATION

void glXDestroyWindow(Display * dpy, GLXWindow win);

PARAMETERS

dpy
    Specifies the connection to the X server.

win
    Specifies the GLXWindow to be destroyed.

DESCRIPTION

glXDestroyWindow destroys a GLXWindow created by glXCreateWindow().

NOTES

glXDestroyWindow is available only if the GLX version is 1.3 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, then the GL version must be 1.1. If the GLX version is 1.3, then the GL version must be 1.2.

ERRORS

GLXBadWindow is generated if win is not a valid GLXPixmap.

SEE ALSO

glXChooseFBConfig(), glXCreateWindow(), glXMakeContextCurrent()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.